%global momorel 7

Name:           perl-Crypt-DSA
Version:        1.16
Release:        %{momorel}m%{?dist}
Summary:        DSA Signatures and Key Generation
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-DSA/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/Crypt-DSA-%{version}.tar.gz
NoSource:       0
Patch0:		perl-Crypt-DSA-dsaparam.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.005
BuildRequires:  perl-Data-Buffer >= 0.01
BuildRequires:  perl-Digest-SHA1
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Which >= 0.05
BuildRequires:  perl-Math-BigInt >= 1.78
BuildRequires:  perl-MIME-Base64
BuildRequires:  perl-PathTools
BuildRequires:  perl-Test-Simple >= 0.42
Requires:       perl-Data-Buffer >= 0.01
Requires:       perl-Digest-SHA1
Requires:       perl-File-Which >= 0.05
Requires:       perl-Math-BigInt >= 1.78
Requires:       perl-MIME-Base64
Requires:       perl-PathTools
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Crypt::DSA is an implementation of the DSA (Digital Signature Algorithm)
signature verification system. The implementation itself is pure Perl,
although the heavy-duty mathematics underneath are provided by the
Math::Pari library.

%prep
%setup -q -n Crypt-DSA-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Crypt/DSA
%{perl_vendorlib}/Crypt/DSA.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.16-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-6m)
- rebuild against perl-5.12.1

* Wed Apr 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-5m)
- enable test (import Patch0 from Fedora devel)

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-4m)
- rebuild against perl-5.12.0
- disable test for a while...

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated
- Specfile re-generated by cpanspec 1.78.

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.16-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-1m)
- update to 0.16

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14-8m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14-7m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14-6m)
- rebuild against gcc43

* Mon Mar 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14-5m)
- rebuild against perl-5.10.0-5m

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.14-4m)
- use vendor

* Sat Feb 24 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.14-3m)
- add BuildRequires: perl-Math-BigInt
- add Requires: perl-Math-BigInt

* Sat Sep 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14-2m)
- BuildRequires perl-Data-Buffer

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14-1m)
- spec file was autogenerated
